Summary: Plague buildsystem helper
Name: buildwatcher
Version: 0.0.8
Release: 1.beta2
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
License: MIT
Group: System

Requires: openldap-clients
Requires: plague-client
Requires: plague
Requires: inotify-tools
%if 0%{?rhel} >= 7
BuildRequires:  systemd
%{?systemd_requires}
%endif

%description
Provides a daemon which will watch a specified directory, and when an SRPM is moved
into this directory, it'll submit the build automatically to plague server

%prep
%setup -q

%build

%install

%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d -m 750 $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 0755 bin/* $RPM_BUILD_ROOT%{_bindir}
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_unitdir}
%{__install} -d $RPM_BUILD_ROOT%{_localstatedir}/lib/build/uploads
%{__install} -d $RPM_BUILD_ROOT%{_localstatedir}/lib/build/errors
%{__install} -d $RPM_BUILD_ROOT%{_localstatedir}/lib/build/work/srpm_upload_dir/
%{__install} -m 0644 conf/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%{__install} -m 0644 systemd/buildwatcher.service $RPM_BUILD_ROOT%{_unitdir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
# Add the "zabbix" user
/usr/sbin/useradd -c "Build watcher user" \
        -s /sbin/nologin -r -d %{_localstatedir}/lib/build/home buildwatcher 2> /dev/null || :

%preun
%systemd_preun buildwatcher.service

%post

%systemd_post buildwatcher.service

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_localstatedir}/lib/build/uploads
%{_localstatedir}/lib/build/errors
%attr(0775,root,buildwatcher) %{_localstatedir}/lib/build/work/srpm_upload_dir/
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/*
%{_unitdir}/*.service

%changelog
* Sat Nov 11 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.8-1.beta2
- FIx binary path in service unit (daniel@firewall-services.com)

* Sat Nov 11 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.7-1.beta2
- Add systemd BuildRequires

* Sat Nov 11 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.6-1.beta2
- Install systemd unit

* Sat Nov 11 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.5-1.beta2
- Requires ldap clients not servers

* Sat Nov 11 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.4-1.beta2
- Add simple systemd unit (daniel@firewall-services.com)

* Thu Nov 09 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.3-1.beta2
- Fix %files

* Sat Nov 04 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.2-1.beta1
- new package built with tito

* Sat Nov 4 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.0.1-1
- Initial release
